Lost: Minimum Requirements Script

A couple years ago, I remember reading about a script that would scan a source tree and tell you the minimum required version of GTK+ based on the symbols used. I can’t find it anymore. Does anyone know what I’m talking about?

I assume it could be rewritten these days using sexy gobject introspection and thus apply to more than just GTK+. But I’d be happy with the older, basic script.

In exchange for clues about the script, here’s a neat bash tip: I discovered that if you put a space before a command you type on the console, it doesn’t show up in the bash history. It’s not in the output of history and doesn’t show up when you scroll up through your commands with the up arrow.

I’m not sure what the non-malicious uses of that trick are, but there you go.